Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002418 [Piwigo] albums feature N/A 2011.08.28 21:07 2011.08.31 17:38
Reporter Zaphod View Status public  
Assigned To flop25
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.3.0RC1 Product Version
  Target Version Product Build
Summary 0002418: Ability to give the same album permissions to sub albums
Description When assigning permissions to an albums to an user/group, the permissions are not automatically given to the subalbums.

It would be interessting to add an option to automatically give the access to the subalbums. ("Apply to sub-albums" like for sorting options)
Steps To Reproduce
Additional Information En français... l'idée est de permettre de faire hériter automatiquement aux sous-albums les droits des albums parents.
Soit par une option générale, ou mieux, par un choix lors de l'affectation des droits : "appliquer aux sous-albums" comme pour le tri.
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005448)
svn (reporter)
2011.08.31 15:25

[Subversion] r12017 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2418
adding an option to apply permission of group to sub-albums
(0005449)
svn (reporter)
2011.08.31 16:04

[Subversion] r12018 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2418
correcting the key for using an existing translation
(0005450)
svn (reporter)
2011.08.31 17:12

[Subversion] r12019 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2418
adding an option to apply permission of users to sub-albums
changing the name of vars $private_uppercats->$private_cats

- Issue History
Date Modified Username Field Change
2011.08.28 21:07 Zaphod New Issue
2011.08.28 21:07 Zaphod browser => any
2011.08.28 21:07 Zaphod Web server => Apache 1.3.x
2011.08.30 16:49 flop25 Status new => assigned
2011.08.30 16:49 flop25 Assigned To => flop25
2011.08.31 15:25 svn Checkin
2011.08.31 15:25 svn Note Added: 0005448
2011.08.31 16:04 svn Checkin
2011.08.31 16:04 svn Note Added: 0005449
2011.08.31 17:12 svn Checkin
2011.08.31 17:12 svn Note Added: 0005450
2011.08.31 17:38 flop25 Status assigned => closed
2011.08.31 17:38 flop25 Resolution open => fixed
2011.08.31 17:38 flop25 Fixed in Version => 2.3.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker